Bug 407466 - Impossible to abort update process on Arch Linux
Summary: Impossible to abort update process on Arch Linux
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.16.90
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-12 17:31 UTC by Patrick Silva
Modified: 2019-10-09 16:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.17.0


Attachments
screen recording (2.60 MB, video/webm)
2019-05-12 17:31 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-05-12 17:31:41 UTC
Created attachment 120016 [details]
screen recording

SUMMARY
Watch the screen recording please.
Nothing happens when I click on the buttons to cancel update process on Arch Linux.

STEPS TO REPRODUCE
1. open discover when updates from Arch repos are available
2. click "Update all" button
3. click "Cancel" button while Discover downloads the updates

EXPECTED RESULT
update process is canceled

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.15.5
KDE Frameworks Version: 5.57.0
Qt Version: 5.13.0 beta3
Comment 1 Nate Graham 2019-05-13 04:20:56 UTC
Can confirm. if it's cancelable, the button should work. If it's not, the button should be disabled.
Comment 2 Aleix Pol 2019-10-09 15:00:09 UTC
Git commit 234f063d99859cb1b6ae569b045c8d63e34d277d by Aleix Pol.
Committed on 09/10/2019 at 14:59.
Pushed by apol into branch 'Plasma/5.17'.

updates: improve cancellability calculation

If the state changes so no backends can cancel, we can disable the
button.

M  +1    -0    libdiscover/backends/PackageKitBackend/PackageKitUpdater.cpp
M  +1    -1    libdiscover/resources/ResourcesUpdatesModel.cpp

https://commits.kde.org/discover/234f063d99859cb1b6ae569b045c8d63e34d277d